Install The 1.7.10 Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (The 1.7.10 Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select The 1.7.10 Pack from the list on the left. The launcher will handle everything else!

The 1.7.10 Pack Version 0.9.8c

created by Hi it's me on Minecraft Version 1.7.10 using Technic Solder
New updates.. new mods? More information in GitHub!
Hi it's me posted a status update for The 1.7.10 Pack 4 years ago

Comments

You must be logged in to comment. Click here to register a new account or log in.
hey :) I have a problem , when I try to play it doesn't show . I press play then is just refresh my Technic Launcher , how can I play the modpack ?
Posted by Andy0Super 4 years ago
You need to have Java 7/8 installed, version 64 bit. :)
Posted by Hi it's me 4 years ago
same thing happened to me
Posted by TeChazGuy 4 years ago
When coming out version 0.7.9 ?
Posted by PortStone 4 years ago
Very soon :)
Posted by Hi it's me 4 years ago
K cool, thanks for the info (and this cool mod pack and all the hard work ^^)
Posted by PortStone 4 years ago
The suspense is killing me
Posted by Ash__Ketchum 4 years ago
Try not to die before the update launches!
Posted by Hi it's me 4 years ago

Latest Update

If you suffered from crashing after updating to v0.9.8c, please reinstall the modpack now as this will revert the LumySkinPatch mod to its older version. That should fix your issue!